using System;
namespace dk.esthauge.limid.api
{
	
	/// <summary> An exception thrown if a new edge produces a cycle in the graph.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// <p>Company: </p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	public class MLPCyclicNetException:MLPIllegalParentException
	{
		
		public MLPCyclicNetException(Node parent, Node child):base("An edge from \"" + parent + "\" to \"" + child + "\" will result in a cycle")
		{
			//UPGRADE_TODO: The equivalent in .NET for method 'java.lang.Object.toString' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
		}
	}
}