using System;
namespace dk.esthauge.limid.api
{
	
	/// <summary> Thrown if the uniqueness of node names is violated.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// <p>Company: </p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	public class MLPDuplicateNodeNameException:MLPException
	{
		
		public MLPDuplicateNodeNameException():base("The name of the node already exists. Names must be unique")
		{
		}
	}
}