using System;
namespace dk.esthauge.limid.api
{
	
	/// <summary> A super class of several exceptions indicating that an illegal parent has
	/// been specified.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	public class MLPIllegalParentException:MLPOperationNotAllowedException
	{
		
		public MLPIllegalParentException():base()
		{
		}
		
		public MLPIllegalParentException(System.String message):base(message)
		{
		}
	}
}