using System;
namespace dk.esthauge.limid.api
{
	
	/// <summary> Thrown if the network is not compiled, but an operation demanding a compiled
	/// model is attempted.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	public class MLPNetworkNotCompiledException:MLPOperationNotAllowedException
	{
		
		public MLPNetworkNotCompiledException():base("The network must be compiled before performing this operation")
		{
		}
	}
}