using System;
namespace dk.esthauge.limid.api
{
	
	/// <summary> Thrown if a node external to the Limid is presented as a parameter to a
	/// method demanding a native node.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	public class MLPNodeNotMemberException:MLPOperationNotAllowedException
	{
		public MLPNodeNotMemberException(System.String s):base(s)
		{
		}
	}
}