using System;
using dk.esthauge.limid.api;
namespace dk.esthauge.limid.gui
{
	
	/// <summary> A dialog used for editing the general network properties for the Limid.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	//UPGRADE_TODO: Class 'javax.swing.JDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
	public class NetworkPropertiesDialog:JDialog
	{
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener
		{
			public AnonymousClassActionListener(NetworkPropertiesDialog enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(NetworkPropertiesDialog enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private NetworkPropertiesDialog enclosingInstance;
			public NetworkPropertiesDialog Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.okButton_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassFocusAdapter' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassFocusAdapter
		{
			public AnonymousClassFocusAdapter(NetworkPropertiesDialog enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(NetworkPropertiesDialog enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private NetworkPropertiesDialog enclosingInstance;
			public NetworkPropertiesDialog Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			public void  focusLost(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.nameField_focusLost(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener1' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener1
		{
			public AnonymousClassActionListener1(NetworkPropertiesDialog enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(NetworkPropertiesDialog enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private NetworkPropertiesDialog enclosingInstance;
			public NetworkPropertiesDialog Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.JTextField.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.nameField_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassFocusAdapter1' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassFocusAdapter1
		{
			public AnonymousClassFocusAdapter1(NetworkPropertiesDialog enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(NetworkPropertiesDialog enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private NetworkPropertiesDialog enclosingInstance;
			public NetworkPropertiesDialog Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			public void  focusLost(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.sizeField_focusLost(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener2' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener2
		{
			public AnonymousClassActionListener2(NetworkPropertiesDialog enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(NetworkPropertiesDialog enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private NetworkPropertiesDialog enclosingInstance;
			public NetworkPropertiesDialog Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.JTextField.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.sizeField_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener3' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener3
		{
			public AnonymousClassActionListener3(NetworkPropertiesDialog enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(NetworkPropertiesDialog enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private NetworkPropertiesDialog enclosingInstance;
			public NetworkPropertiesDialog Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.chanceColorButton_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener4' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener4
		{
			public AnonymousClassActionListener4(NetworkPropertiesDialog enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(NetworkPropertiesDialog enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private NetworkPropertiesDialog enclosingInstance;
			public NetworkPropertiesDialog Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.decisionColorButton_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener5' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener5
		{
			public AnonymousClassActionListener5(NetworkPropertiesDialog enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(NetworkPropertiesDialog enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private NetworkPropertiesDialog enclosingInstance;
			public NetworkPropertiesDialog Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.utilityColorButton_actionPerformed(event_sender, e);
			}
		}
		private void  InitBlock()
		{
			//UPGRADE_TODO: Constructor 'javax.swing.JPanel.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			mainPanel = new JPanel();
			//UPGRADE_TODO: Constructor 'javax.swing.JLabel.JLabel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			nameLabel = new JLabel();
			//UPGRADE_TODO: Constructor 'javax.swing.JLabel.JLabel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			sizeLabel = new JLabel();
			//UPGRADE_TODO: Constructor 'javax.swing.JLabel.JLabel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			decisionColorLabel = new JLabel();
			//UPGRADE_TODO: Constructor 'javax.swing.JLabel.JLabel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			chanceColorLabel = new JLabel();
			//UPGRADE_TODO: Constructor 'javax.swing.JLabel.JLabel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			utilityColorLabel = new JLabel();
			//UPGRADE_TODO: Constructor 'javax.swing.JPanel.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			choicePanel = new JPanel();
			//UPGRADE_ISSUE: Constructor 'java.awt.BorderLayout.BorderLayout' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtBorderLayout"'
			borderLayout1 = new BorderLayout();
			//UPGRADE_TODO: Constructor 'javax.swing.JPanel.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			jPanel2 = new JPanel();
			//UPGRADE_ISSUE: Constructor 'java.awt.GridLayout.GridLayout' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtGridLayout"'
			gridLayout1 = new GridLayout();
			//UPGRADE_TODO: Constructor 'javax.swing.JPanel.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			jPanel1 = new JPanel();
			//UPGRADE_TODO: Constructor 'javax.swing.JButton.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			okButton = new JButton();
			//UPGRADE_TODO: Constructor 'javax.swing.JTextField.JTextField' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			nameField = new JTextField();
			//UPGRADE_TODO: Constructor 'javax.swing.JTextField.JTextField' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			sizeField = new JTextField();
			//UPGRADE_TODO: Constructor 'javax.swing.JButton.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			chanceColorButton = new JButton();
			//UPGRADE_TODO: Constructor 'javax.swing.JButton.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			decisionColorButton = new JButton();
			//UPGRADE_TODO: Constructor 'javax.swing.JButton.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			utilityColorButton = new JButton();
		}
		//UPGRADE_TODO: Class 'javax.swing.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'mainPanel' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JPanel mainPanel;
		//UPGRADE_TODO: Class 'javax.swing.JLabel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'nameLabel' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JLabel nameLabel;
		//UPGRADE_TODO: Class 'javax.swing.JLabel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'sizeLabel' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JLabel sizeLabel;
		//UPGRADE_TODO: Class 'javax.swing.JLabel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'decisionColorLabel' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JLabel decisionColorLabel;
		//UPGRADE_TODO: Class 'javax.swing.JLabel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'chanceColorLabel' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JLabel chanceColorLabel;
		//UPGRADE_TODO: Class 'javax.swing.JLabel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'utilityColorLabel' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JLabel utilityColorLabel;
		//UPGRADE_TODO: Class 'javax.swing.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'choicePanel' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JPanel choicePanel;
		//UPGRADE_ISSUE: Class 'java.awt.BorderLayout' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtBorderLayout"'
		//UPGRADE_NOTE: The initialization of  'borderLayout1' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal BorderLayout borderLayout1;
		//UPGRADE_TODO: Class 'javax.swing.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'jPanel2' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JPanel jPanel2;
		//UPGRADE_ISSUE: Class 'java.awt.GridLayout' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtGridLayout"'
		//UPGRADE_NOTE: The initialization of  'gridLayout1' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal GridLayout gridLayout1;
		//UPGRADE_TODO: Class 'javax.swing.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'jPanel1' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JPanel jPanel1;
		//UPGRADE_TODO: Class 'javax.swing.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'okButton' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JButton okButton;
		//UPGRADE_TODO: Class 'javax.swing.JTextField' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'nameField' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JTextField nameField;
		//UPGRADE_TODO: Class 'javax.swing.JTextField' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'sizeField' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JTextField sizeField;
		//UPGRADE_TODO: Class 'javax.swing.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'chanceColorButton' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JButton chanceColorButton;
		//UPGRADE_TODO: Class 'javax.swing.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'decisionColorButton' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JButton decisionColorButton;
		//UPGRADE_TODO: Class 'javax.swing.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'utilityColorButton' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JButton utilityColorButton;
		internal LimidDomain limid;
		
		//UPGRADE_TODO: Class 'java.awt.Frame' was converted to 'System.Windows.Forms.Form' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
		public NetworkPropertiesDialog(System.Windows.Forms.Form frame, System.String title, bool modal, LimidDomain limid):base(frame, title, modal)
		{
			InitBlock();
			//UPGRADE_TODO: Constructor 'javax.swing.JDialog.JDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.limid = limid;
			try
			{
				jbInit();
				//UPGRADE_ISSUE: Method 'java.awt.Window.pack' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtWindowpack"'
				pack();
			}
			catch (System.Exception ex)
			{
				SupportClass.WriteStackTrace(ex, Console.Error);
			}
		}
		
		public NetworkPropertiesDialog():this(null, "", false, new LimidDomain())
		{
		}
		private void  jbInit()
		{
			//UPGRADE_ISSUE: Method 'java.awt.Container.setLayout' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtContainersetLayout_javaawtLayoutManager"'
			mainPanel.setLayout(borderLayout1);
			//UPGRADE_TODO: Method 'javax.swing.JLabel.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			nameLabel.setText("Model name");
			//UPGRADE_TODO: Method 'javax.swing.JLabel.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			sizeLabel.setText("Node size");
			//UPGRADE_TODO: Method 'javax.swing.JLabel.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			decisionColorLabel.setText("Decision node color");
			//UPGRADE_TODO: Method 'javax.swing.JLabel.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			chanceColorLabel.setText("Chance node color");
			//UPGRADE_TODO: Method 'javax.swing.JLabel.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			utilityColorLabel.setText("Utility node color");
			//UPGRADE_ISSUE: Method 'java.awt.Container.setLayout' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtContainersetLayout_javaawtLayoutManager"'
			choicePanel.setLayout(gridLayout1);
			//UPGRADE_ISSUE: Method 'java.awt.GridLayout.setColumns' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtGridLayout"'
			gridLayout1.setColumns(2);
			//UPGRADE_ISSUE: Method 'java.awt.GridLayout.setRows' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtGridLayout"'
			gridLayout1.setRows(5);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			okButton.setText("OK");
			okButton.addActionListener(new AnonymousClassActionListener(this));
			//UPGRADE_TODO: Method 'javax.swing.text.JTextComponent.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			nameField.setText(limid.Name);
			nameField.Leave += new System.EventHandler(new AnonymousClassFocusAdapter(this).focusLost);
			nameField.addActionListener(new AnonymousClassActionListener1(this));
			//UPGRADE_TODO: Method 'javax.swing.text.JTextComponent.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			sizeField.setText("" + limid.getNodeSize().Width);
			sizeField.Leave += new System.EventHandler(new AnonymousClassFocusAdapter1(this).focusLost);
			sizeField.addActionListener(new AnonymousClassActionListener2(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			chanceColorButton.setText("Change color");
			chanceColorButton.addActionListener(new AnonymousClassActionListener3(this));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setBackground' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			chanceColorButton.setBackground(limid.ChanceNodeColor);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			decisionColorButton.setText("Change color");
			decisionColorButton.addActionListener(new AnonymousClassActionListener4(this));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setBackground' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			decisionColorButton.setBackground(limid.DecisionNodeColor);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			utilityColorButton.setText("Change Color");
			utilityColorButton.addActionListener(new AnonymousClassActionListener5(this));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setBackground' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			utilityColorButton.setBackground(limid.UtilityNodeColor);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			//UPGRADE_TODO: Method 'javax.swing.JDialog.getContentPane' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			getContentPane().Controls.Add(mainPanel);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			mainPanel.Controls.Add(choicePanel);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Windows.Forms.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			choicePanel.Controls.Add(nameLabel);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Windows.Forms.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			choicePanel.Controls.Add(nameField);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Windows.Forms.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			choicePanel.Controls.Add(sizeLabel);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Windows.Forms.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			choicePanel.Controls.Add(sizeField);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Windows.Forms.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			choicePanel.Controls.Add(chanceColorLabel);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Windows.Forms.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			choicePanel.Controls.Add(chanceColorButton);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Windows.Forms.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			choicePanel.Controls.Add(decisionColorLabel);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Windows.Forms.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			choicePanel.Controls.Add(decisionColorButton);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Windows.Forms.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			choicePanel.Controls.Add(utilityColorLabel);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Windows.Forms.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			choicePanel.Controls.Add(utilityColorButton);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			mainPanel.Controls.Add(jPanel2);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			jPanel2.Controls.Add(jPanel1);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			jPanel1.Controls.Add(okButton);
		}
		
		internal virtual void  chanceColorButton_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_TODO: Method 'javax.swing.JColorChooser.showDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			System.Drawing.Color color = JColorChooser.showDialog(this, "Choose a color for chance nodes", chanceColorButton.BackColor);
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setBackground' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			chanceColorButton.setBackground(color);
			limid.ChanceNodeColor = color;
		}
		
		internal virtual void  decisionColorButton_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_TODO: Method 'javax.swing.JColorChooser.showDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			System.Drawing.Color color = JColorChooser.showDialog(this, "Choose a color for chance nodes", chanceColorButton.BackColor);
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setBackground' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			decisionColorButton.setBackground(color);
			limid.DecisionNodeColor = color;
		}
		
		internal virtual void  utilityColorButton_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_TODO: Method 'javax.swing.JColorChooser.showDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			System.Drawing.Color color = JColorChooser.showDialog(this, "Choose a color for chance nodes", chanceColorButton.BackColor);
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setBackground' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			utilityColorButton.setBackground(color);
			limid.UtilityNodeColor = color;
		}
		
		internal virtual void  nameField_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_TODO: Method 'javax.swing.text.JTextComponent.getText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			limid.Name = nameField.getText();
		}
		
		internal virtual void  sizeField_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			int size = 40;
			try
			{
				//UPGRADE_TODO: Method 'javax.swing.text.JTextComponent.getText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				size = (System.Int32.Parse(sizeField.getText()));
				if (size < 20 || size > 200)
				{
					//UPGRADE_TODO: Method 'javax.swing.JOptionPane.showMessageDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					//UPGRADE_TODO: Field 'javax.swing.JOptionPane.ERROR_MESSAGE' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					JOptionPane.showMessageDialog(this, "The value entered is outside the allowed" + " interval", "Invalid entry", JOptionPane.ERROR_MESSAGE);
					//UPGRADE_TODO: Method 'javax.swing.text.JTextComponent.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					sizeField.setText("" + limid.getNodeSize().Width);
				}
				else
					limid.setNodeSize(size);
			}
			catch (System.FormatException ex)
			{
				//UPGRADE_TODO: Method 'javax.swing.JOptionPane.showMessageDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				//UPGRADE_TODO: Field 'javax.swing.JOptionPane.ERROR_MESSAGE' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				JOptionPane.showMessageDialog(this, "Only integer valued input is allowed", "Invalid entry", JOptionPane.ERROR_MESSAGE);
			}
		}
		
		internal virtual void  okButton_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_TODO: Method 'java.awt.Dialog.dispose' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.dispose();
		}
		
		internal virtual void  nameField_focusLost(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_NOTE: The method 'java.util.EventObject.getSource' needs to be in a event handling method in order to be properly converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1171"'
			System.Object generatedAux = e.getSource;
			//UPGRADE_ISSUE: Method 'java.awt.AWTEvent.getID' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtAWTEvent"'
			e.getID();
			this.nameField_actionPerformed(new System.EventArgs());
		}
		
		internal virtual void  sizeField_focusLost(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_NOTE: The method 'java.util.EventObject.getSource' needs to be in a event handling method in order to be properly converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1171"'
			System.Object generatedAux = e.getSource;
			//UPGRADE_ISSUE: Method 'java.awt.AWTEvent.getID' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtAWTEvent"'
			e.getID();
			this.sizeField_actionPerformed(new System.EventArgs());
		}
	}
}