using System;
using com.borland.jbcl.layout;
using dk.esthauge.limid.api;
namespace dk.esthauge.limid.gui
{
	
	/// <summary> A dialog used for editing the properties of a node.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	//UPGRADE_TODO: Class 'javax.swing.JDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
	public class NodeEditor:JDialog
	{
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener
		{
			public AnonymousClassActionListener(NodeEditor enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(NodeEditor enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private NodeEditor enclosingInstance;
			public NodeEditor Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.okButton_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener1' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener1
		{
			public AnonymousClassActionListener1(NodeEditor enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(NodeEditor enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private NodeEditor enclosingInstance;
			public NodeEditor Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.JTextField.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.stateCountField_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener2' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener2
		{
			public AnonymousClassActionListener2(NodeEditor enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(NodeEditor enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private NodeEditor enclosingInstance;
			public NodeEditor Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.JTextField.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.labelField_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener3' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener3
		{
			public AnonymousClassActionListener3(NodeEditor enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(NodeEditor enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private NodeEditor enclosingInstance;
			public NodeEditor Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.JTextField.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.nameField_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassFocusAdapter' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassFocusAdapter
		{
			public AnonymousClassFocusAdapter(NodeEditor enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(NodeEditor enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private NodeEditor enclosingInstance;
			public NodeEditor Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			public void  focusLost(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.labelField_focusLost(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassFocusAdapter1' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassFocusAdapter1
		{
			public AnonymousClassFocusAdapter1(NodeEditor enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(NodeEditor enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private NodeEditor enclosingInstance;
			public NodeEditor Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			public void  focusLost(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.nameField_focusLost(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassFocusAdapter2' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassFocusAdapter2
		{
			public AnonymousClassFocusAdapter2(NodeEditor enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(NodeEditor enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private NodeEditor enclosingInstance;
			public NodeEditor Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			public void  focusLost(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.stateCountField_focusLost(event_sender, e);
			}
		}
		private void  InitBlock()
		{
			//UPGRADE_TODO: Constructor 'javax.swing.JPanel.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			mainPanel = new JPanel();
			//UPGRADE_ISSUE: Constructor 'java.awt.BorderLayout.BorderLayout' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtBorderLayout"'
			borderLayout1 = new BorderLayout();
			//UPGRADE_TODO: Constructor 'javax.swing.JPanel.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			buttonPanel = new JPanel();
			//UPGRADE_TODO: Constructor 'javax.swing.JButton.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			okButton = new JButton();
			//UPGRADE_TODO: Constructor 'javax.swing.JSplitPane.JSplitPane' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			splitPanel = new JSplitPane();
			//UPGRADE_TODO: Constructor 'javax.swing.JScrollPane.JScrollPane' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			stateNameScroll = new JScrollPane();
			//UPGRADE_TODO: Constructor 'javax.swing.JPanel.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			propertiesPanel = new JPanel();
			//UPGRADE_TODO: Constructor 'javax.swing.JTable.JTable' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			stateNameTable = new JTable();
			//UPGRADE_TODO: Constructor 'javax.swing.JPanel.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			labelPanel = new JPanel();
			//UPGRADE_TODO: Constructor 'javax.swing.JTextField.JTextField' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			stateCountField = new JTextField();
			//UPGRADE_TODO: Constructor 'javax.swing.JLabel.JLabel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			nameLabel = new JLabel();
			//UPGRADE_ISSUE: Constructor 'java.awt.GridLayout.GridLayout' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtGridLayout"'
			gridLayout1 = new GridLayout();
			//UPGRADE_TODO: Constructor 'javax.swing.JLabel.JLabel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			stateCountLabel = new JLabel();
			//UPGRADE_TODO: Constructor 'javax.swing.JTextField.JTextField' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			labelField = new JTextField();
			//UPGRADE_TODO: Constructor 'javax.swing.JLabel.JLabel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			labelLabel = new JLabel();
			//UPGRADE_TODO: Constructor 'javax.swing.JTextField.JTextField' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			nameField = new JTextField();
		}
		virtual public Node Node
		{
			set
			{
				this.node = value;
				if (value is DiscreteNode)
					discreteNode = (DiscreteNode) value;
			}
			
		}
		//UPGRADE_TODO: Class 'javax.swing.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'mainPanel' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JPanel mainPanel;
		//UPGRADE_ISSUE: Class 'java.awt.BorderLayout' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtBorderLayout"'
		//UPGRADE_NOTE: The initialization of  'borderLayout1' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal BorderLayout borderLayout1;
		//UPGRADE_TODO: Class 'javax.swing.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'buttonPanel' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JPanel buttonPanel;
		//UPGRADE_TODO: Class 'javax.swing.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'okButton' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JButton okButton;
		//UPGRADE_TODO: Class 'javax.swing.JSplitPane' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'splitPanel' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JSplitPane splitPanel;
		//UPGRADE_TODO: Class 'javax.swing.JScrollPane' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'stateNameScroll' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JScrollPane stateNameScroll;
		//UPGRADE_TODO: Class 'javax.swing.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'propertiesPanel' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JPanel propertiesPanel;
		//UPGRADE_TODO: Class 'javax.swing.JTable' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'stateNameTable' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JTable stateNameTable;
		//UPGRADE_TODO: Class 'javax.swing.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'labelPanel' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JPanel labelPanel;
		//UPGRADE_TODO: Class 'javax.swing.JTextField' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'stateCountField' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JTextField stateCountField;
		//UPGRADE_TODO: Class 'javax.swing.JLabel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'nameLabel' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JLabel nameLabel;
		//UPGRADE_ISSUE: Class 'java.awt.GridLayout' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtGridLayout"'
		//UPGRADE_NOTE: The initialization of  'gridLayout1' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal GridLayout gridLayout1;
		//UPGRADE_TODO: Class 'javax.swing.JLabel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'stateCountLabel' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JLabel stateCountLabel;
		//UPGRADE_TODO: Class 'javax.swing.JTextField' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'labelField' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JTextField labelField;
		//UPGRADE_TODO: Class 'javax.swing.JLabel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'labelLabel' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JLabel labelLabel;
		//UPGRADE_TODO: Class 'javax.swing.JTextField' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'nameField' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JTextField nameField;
		internal Node node;
		internal DiscreteNode discreteNode;
		internal StateLabelTableModel model;
		
		//UPGRADE_TODO: Class 'java.awt.Frame' was converted to 'System.Windows.Forms.Form' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
		public NodeEditor(System.Windows.Forms.Form frame, System.String title, bool modal, Node node):base(frame, title, modal)
		{
			InitBlock();
			//UPGRADE_TODO: Constructor 'javax.swing.JDialog.JDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.Node = node;
			try
			{
				jbInit();
				//UPGRADE_ISSUE: Method 'java.awt.Window.pack' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtWindowpack"'
				pack();
			}
			catch (System.Exception ex)
			{
				SupportClass.WriteStackTrace(ex, Console.Error);
			}
		}
		
		public NodeEditor():this(null, "", false, new LimidChanceNode(new LimidDomain()))
		{
		}
		
		private void  jbInit()
		{
			//UPGRADE_ISSUE: Method 'java.awt.Container.setLayout' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtContainersetLayout_javaawtLayoutManager"'
			mainPanel.setLayout(borderLayout1);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			okButton.setText("OK");
			okButton.addActionListener(new AnonymousClassActionListener(this));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setPreferredSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			propertiesPanel.setPreferredSize(new System.Drawing.Size(200, 200));
			stateCountField.addActionListener(new AnonymousClassActionListener1(this));
			//UPGRADE_TODO: Method 'javax.swing.JLabel.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			nameLabel.setText("Node name");
			//UPGRADE_TODO: Method 'javax.swing.text.JTextComponent.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			labelField.setText(node.getLabel());
			//UPGRADE_TODO: Method 'javax.swing.text.JTextComponent.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			nameField.setText(node.getName());
			if (discreteNode != null)
			{
				//UPGRADE_TODO: Method 'javax.swing.text.JTextComponent.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				stateCountField.setText("" + discreteNode.getNumberOfStates());
				this.model = new StateLabelTableModel(discreteNode);
				stateNameTable.setModel(model);
				//UPGRADE_TODO: Method 'javax.swing.text.JTextComponent.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				stateCountField.setText("" + discreteNode.getNumberOfStates());
			}
			else
			{
				//UPGRADE_TODO: Method 'javax.swing.JComponent.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				stateCountLabel.setEnabled(false);
				//UPGRADE_TODO: Method 'javax.swing.JComponent.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				stateCountField.setEnabled(false);
			}
			if (node is BooleanNode)
			{
				//UPGRADE_TODO: Method 'javax.swing.JComponent.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				stateCountLabel.setEnabled(false);
				//UPGRADE_TODO: Method 'javax.swing.JComponent.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				stateCountField.setEnabled(false);
			}
			//UPGRADE_ISSUE: Method 'java.awt.Container.setLayout' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtContainersetLayout_javaawtLayoutManager"'
			labelPanel.setLayout(gridLayout1);
			//UPGRADE_ISSUE: Method 'java.awt.GridLayout.setColumns' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtGridLayout"'
			gridLayout1.setColumns(2);
			//UPGRADE_ISSUE: Method 'java.awt.GridLayout.setRows' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtGridLayout"'
			gridLayout1.setRows(3);
			//UPGRADE_TODO: Method 'javax.swing.JLabel.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			stateCountLabel.setText("Number of states");
			labelField.addActionListener(new AnonymousClassActionListener2(this));
			//UPGRADE_TODO: Method 'javax.swing.JLabel.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			labelLabel.setText("Node label");
			nameField.addActionListener(new AnonymousClassActionListener3(this));
			//UPGRADE_TODO: Method 'javax.swing.text.JTextComponent.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			labelField.setText(node.getLabel());
			labelField.Leave += new System.EventHandler(new AnonymousClassFocusAdapter(this).focusLost);
			//UPGRADE_TODO: Method 'javax.swing.text.JTextComponent.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			nameField.setText(node.getName());
			nameField.Leave += new System.EventHandler(new AnonymousClassFocusAdapter1(this).focusLost);
			stateCountField.Leave += new System.EventHandler(new AnonymousClassFocusAdapter2(this).focusLost);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			propertiesPanel.Controls.Add(labelPanel);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Windows.Forms.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			//UPGRADE_TODO: Method 'javax.swing.JDialog.getContentPane' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			getContentPane().Controls.Add(mainPanel);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			mainPanel.Controls.Add(buttonPanel);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			buttonPanel.Controls.Add(okButton);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			splitPanel.Controls.Add(stateNameScroll);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			splitPanel.Controls.Add(propertiesPanel);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			mainPanel.Controls.Add(splitPanel);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			//UPGRADE_TODO: Method 'javax.swing.JScrollPane.getViewport' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			stateNameScroll.getViewport().Controls.Add(stateNameTable);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			labelPanel.Controls.Add(nameLabel);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			labelPanel.Controls.Add(nameField);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			labelPanel.Controls.Add(labelLabel);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			labelPanel.Controls.Add(labelField);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			labelPanel.Controls.Add(stateCountLabel);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			labelPanel.Controls.Add(stateCountField);
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setPreferredSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JScrollPane.getViewport' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JTable.getColumnCount' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JTable.getRowCount' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JTable.getRowHeight' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.stateNameScroll.getViewport().setPreferredSize(new System.Drawing.Size(stateNameTable.getColumnCount() * 100, System.Math.Min(stateNameTable.getRowCount() * stateNameTable.getRowHeight(), 300)));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMaximumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JScrollPane.getViewport' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JTable.getColumnCount' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.stateNameScroll.getViewport().setMaximumSize(new System.Drawing.Size(stateNameTable.getColumnCount() * 100, 200));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setPreferredSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JComponent.getPreferredSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			propertiesPanel.setPreferredSize(new System.Drawing.Size(labelPanel.getPreferredSize().Width + 10, labelPanel.getPreferredSize().Height + 10));
			//UPGRADE_TODO: Method 'javax.swing.JDialog.setLocationRelativeTo' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'java.awt.Window.getOwner' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			setLocationRelativeTo(this.getOwner());
			//UPGRADE_TODO: Method 'javax.swing.JScrollPane.setVerticalScrollBarPolicy' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Field 'javax.swing.ScrollPaneConstants.VERTICAL_SCROLLBAR_ALWAYS' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			stateNameScroll.setVerticalScrollBarPolicy(javax.swing.ScrollPaneConstants_Fields.VERTICAL_SCROLLBAR_ALWAYS);
		}
		
		
		internal virtual void  stateCountField_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			try
			{
				//UPGRADE_TODO: Method 'javax.swing.text.JTextComponent.getText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				System.Int32 count = System.Int32.Parse(stateCountField.getText());
				int value_Renamed = count;
				if (value_Renamed < 1)
				{
					//UPGRADE_TODO: Method 'javax.swing.JOptionPane.showMessageDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					//UPGRADE_TODO: Field 'javax.swing.JOptionPane.ERROR_MESSAGE' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					JOptionPane.showMessageDialog(this, "The value must be at least 1", "Illegal input", JOptionPane.ERROR_MESSAGE);
					//UPGRADE_TODO: Method 'javax.swing.text.JTextComponent.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					stateCountField.setText("" + discreteNode.getNumberOfStates());
				}
				else
				{
					try
					{
						discreteNode.setNumberOfStates(value_Renamed);
						model = new StateLabelTableModel(discreteNode);
						stateNameTable.setModel(model);
						this.PerformLayout();
					}
					catch (MLPOperationNotAllowedException ex)
					{
						// This should never happen ...
						//UPGRADE_TODO: Method 'javax.swing.JOptionPane.showMessageDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
						//UPGRADE_TODO: Field 'javax.swing.JOptionPane.ERROR_MESSAGE' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
						JOptionPane.showMessageDialog(this, "An unexpected error occurred", "Illegal input", JOptionPane.ERROR_MESSAGE);
						//UPGRADE_TODO: Method 'javax.swing.text.JTextComponent.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
						stateCountField.setText("" + discreteNode.getNumberOfStates());
					}
				}
			}
			catch (System.FormatException ex)
			{
				//UPGRADE_TODO: Method 'javax.swing.JOptionPane.showMessageDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				//UPGRADE_TODO: Field 'javax.swing.JOptionPane.ERROR_MESSAGE' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				JOptionPane.showMessageDialog(this, "Only integer valued input is allowed", "Illegal input", JOptionPane.ERROR_MESSAGE);
				//UPGRADE_TODO: Method 'javax.swing.text.JTextComponent.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				stateCountField.setText("" + discreteNode.getNumberOfStates());
			}
		}
		
		internal virtual void  labelField_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_TODO: Method 'javax.swing.text.JTextComponent.getText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			System.String label = labelField.getText();
			label = label.Trim();
			if (label.CompareTo(node.getName()) != 0 && label.Length > 0)
				node.setLabel(label);
		}
		
		internal virtual void  nameField_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_TODO: Method 'javax.swing.text.JTextComponent.getText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			System.String name = nameField.getText();
			name = name.Trim();
			if (name.CompareTo(node.getName()) != 0)
			{
				if (name.Length > 0)
				{
					try
					{
						node.setName(name);
					}
					catch (MLPDuplicateNodeNameException ex)
					{
						//UPGRADE_TODO: Method 'javax.swing.JOptionPane.showMessageDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
						//UPGRADE_TODO: The equivalent in .NET for method 'java.lang.Throwable.getMessage' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
						//UPGRADE_TODO: Field 'javax.swing.JOptionPane.ERROR_MESSAGE' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
						JOptionPane.showMessageDialog(this, ex.Message, "Illegal node name", JOptionPane.ERROR_MESSAGE);
						//UPGRADE_TODO: Method 'javax.swing.text.JTextComponent.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
						nameField.setText(node.getName());
					}
				}
				// If the field is empty, we just keep the old name
				else
				{
					//UPGRADE_TODO: Method 'javax.swing.text.JTextComponent.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					nameField.setText(node.getName());
				}
			}
		}
		
		internal virtual void  okButton_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_TODO: Method 'java.awt.Dialog.dispose' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.dispose();
		}
		
		internal virtual void  nameField_focusLost(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_ISSUE: Method 'java.awt.AWTEvent.getID' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtAWTEvent"'
			e.getID();
			nameField_actionPerformed(new System.EventArgs());
		}
		
		internal virtual void  labelField_focusLost(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_ISSUE: Method 'java.awt.AWTEvent.getID' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtAWTEvent"'
			e.getID();
			labelField_actionPerformed(new System.EventArgs());
		}
		
		internal virtual void  stateCountField_focusLost(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_ISSUE: Method 'java.awt.AWTEvent.getID' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtAWTEvent"'
			e.getID();
			stateCountField_actionPerformed(new System.EventArgs());
		}
	}
}