using System;
using dk.esthauge.limid.api;
namespace dk.esthauge.limid.gui
{
	
	/// <summary> A dialog used for editing the potential table(s) of a node.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	
	//UPGRADE_TODO: Class 'javax.swing.JDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
	public class NodeTableEditor:JDialog
	{
		private void  InitBlock()
		{
			//UPGRADE_TODO: Constructor 'javax.swing.JPanel.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			mainPanel = new JPanel();
			//UPGRADE_ISSUE: Constructor 'java.awt.BorderLayout.BorderLayout' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtBorderLayout"'
			borderLayout1 = new BorderLayout();
			model = new ProbabilityTableContentModel();
			//UPGRADE_TODO: Constructor 'javax.swing.JScrollPane.JScrollPane' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			tableScrollPane = new JScrollPane();
			//UPGRADE_TODO: Constructor 'javax.swing.JTable.JTable' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			potentialTable = new JTable();
			//UPGRADE_TODO: Constructor 'javax.swing.JPanel.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			jPanel1 = new JPanel();
			//UPGRADE_TODO: Constructor 'javax.swing.JButton.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			okButton = new JButton();
			//UPGRADE_TODO: Constructor 'javax.swing.JButton.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			cancelButton = new JButton();
			headerModel = new ParentStateHeaders();
			//UPGRADE_TODO: Constructor 'javax.swing.JTable.JTable' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			rowHeaders = new JTable();
		}
		virtual public Node Node
		{
			set
			{
				this.node = value;
				if (value is DiscreteNode)
					discreteNode = (DiscreteNode) value;
			}
			
		}
		//UPGRADE_TODO: Class 'javax.swing.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'mainPanel' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JPanel mainPanel;
		//UPGRADE_ISSUE: Class 'java.awt.BorderLayout' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtBorderLayout"'
		//UPGRADE_NOTE: The initialization of  'borderLayout1' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal BorderLayout borderLayout1;
		//UPGRADE_NOTE: The initialization of  'model' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal CommonProbabilityTableModel model;
		//UPGRADE_TODO: Class 'javax.swing.JScrollPane' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'tableScrollPane' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JScrollPane tableScrollPane;
		//UPGRADE_TODO: Class 'javax.swing.JTable' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'potentialTable' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JTable potentialTable;
		internal Node node;
		internal DiscreteNode discreteNode = null;
		//UPGRADE_TODO: Class 'javax.swing.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'jPanel1' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JPanel jPanel1;
		//UPGRADE_TODO: Class 'javax.swing.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'okButton' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JButton okButton;
		//UPGRADE_TODO: Class 'javax.swing.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'cancelButton' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JButton cancelButton;
		//UPGRADE_NOTE: The initialization of  'headerModel' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal ParentStateHeaders headerModel;
		//UPGRADE_TODO: Class 'javax.swing.JTable' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'rowHeaders' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JTable rowHeaders;
		
		
		//UPGRADE_TODO: Class 'java.awt.Frame' was converted to 'System.Windows.Forms.Form' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
		public NodeTableEditor(System.Windows.Forms.Form frame, System.String title, bool modal, Node node):base(frame, title, modal)
		{
			InitBlock();
			//UPGRADE_TODO: Constructor 'javax.swing.JDialog.JDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.Node = node;
			try
			{
				jbInit();
				//UPGRADE_ISSUE: Method 'java.awt.Window.pack' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtWindowpack"'
				pack();
			}
			catch (System.Exception ex)
			{
				SupportClass.WriteStackTrace(ex, Console.Error);
			}
		}
		
		public NodeTableEditor():this(null, "", false, new LimidChanceNode(new LimidDomain()))
		{
		}
		
		private void  jbInit()
		{
			if (node is DiscreteNode)
			{
				if (node is DiscreteDecisionChanceNode)
				{
					model = new DecisionTableModel((DiscreteDecisionChanceNode) node);
				}
				else
					model = new ProbabilityTableContentModel(discreteNode);
			}
			else
				model = new UtilityTableModel((TimeUtilityNode) node);
			headerModel = new ParentStateHeaders(node, model);
			if (node is DiscreteDecisionChanceNode)
				headerModel.noSum();
			//UPGRADE_TODO: Constructor 'javax.swing.JTable.JTable' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			rowHeaders = new JTable(headerModel);
			headerModel.Owner = rowHeaders;
			//UPGRADE_TODO: Class 'javax.swing.table.DefaultTableCellRenderer' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.table.JTableHeader.getDefaultRenderer' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JTable.getTableHeader' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			DefaultTableCellRenderer renderer = (DefaultTableCellRenderer) rowHeaders.getTableHeader().getDefaultRenderer();
			//UPGRADE_TODO: Method 'javax.swing.JLabel.setHorizontalAlignment' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Field 'javax.swing.SwingConstants.LEFT' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			renderer.setHorizontalAlignment(javax.swing.SwingConstants_Fields.LEFT);
			//UPGRADE_TODO: Method 'javax.swing.JTable.setDefaultRenderer' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			rowHeaders.setDefaultRenderer("".GetType(), renderer);
			//UPGRADE_TODO: Class 'javax.swing.table.DefaultTableCellRenderer' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.table.JTableHeader.getDefaultRenderer' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JTable.getTableHeader' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			renderer = (DefaultTableCellRenderer) potentialTable.getTableHeader().getDefaultRenderer();
			//UPGRADE_TODO: Method 'javax.swing.table.JTableHeader.setDefaultRenderer' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JTable.getTableHeader' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			rowHeaders.getTableHeader().setDefaultRenderer(renderer);
			//UPGRADE_ISSUE: Method 'java.awt.Container.setLayout' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtContainersetLayout_javaawtLayoutManager"'
			mainPanel.setLayout(borderLayout1);
			//UPGRADE_TODO: Method 'javax.swing.JTable.setModel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			potentialTable.setModel(model);
			if (node is DiscreteDecisionChanceNode)
			{
				DecisionCellEditor ed = new DecisionCellEditor(discreteNode);
				//UPGRADE_TODO: Method 'javax.swing.JTable.setDefaultEditor' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				potentialTable.setDefaultEditor("".GetType(), ed);
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			okButton.setText("OK");
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			okButton.addActionListener(new NodeEditor_okButton_actionAdapter(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			cancelButton.setText("Cancel");
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			cancelButton.addActionListener(new NodeEditor_cancelButton_actionAdapter(this));
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Windows.Forms.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			//UPGRADE_TODO: Method 'javax.swing.JDialog.getContentPane' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			getContentPane().Controls.Add(mainPanel);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			mainPanel.Controls.Add(tableScrollPane);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			mainPanel.Controls.Add(jPanel1);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			jPanel1.Controls.Add(okButton);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			jPanel1.Controls.Add(cancelButton);
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setPreferredSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JScrollPane.getViewport' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JTable.getColumnCount' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JTable.getRowHeight' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JTable.getRowCount' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			tableScrollPane.getViewport().setPreferredSize(new System.Drawing.Size(70 * potentialTable.getColumnCount(), potentialTable.getRowHeight() * potentialTable.getRowCount()));
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			//UPGRADE_TODO: Method 'javax.swing.JScrollPane.getViewport' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			tableScrollPane.getViewport().Controls.Add(potentialTable);
			//UPGRADE_TODO: Method 'javax.swing.JScrollPane.setRowHeaderView' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			tableScrollPane.setRowHeaderView(rowHeaders);
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setPreferredSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JScrollPane.getRowHeader' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JTable.getColumnCount' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JComponent.getHeight' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JScrollPane.getViewport' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			tableScrollPane.getRowHeader().setPreferredSize(new System.Drawing.Size(70 * rowHeaders.getColumnCount(), tableScrollPane.getViewport().getHeight()));
			//UPGRADE_TODO: Method 'javax.swing.JScrollPane.setCorner' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Field 'javax.swing.ScrollPaneConstants.UPPER_LEFT_CORNER' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JTable.getTableHeader' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			tableScrollPane.setCorner(javax.swing.ScrollPaneConstants_Fields.UPPER_LEFT_CORNER, rowHeaders.getTableHeader());
			//UPGRADE_TODO: Method 'java.awt.Window.getOwner' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			System.Drawing.Size ownerSize = this.getOwner().Size;
			System.Drawing.Size thisSize = this.Size;
			//UPGRADE_TODO: Method 'java.awt.Component.setLocation' was converted to 'System.Windows.Forms.Control.Location' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			this.Location = new System.Drawing.Point((- this.Size.Width) / 2, (- this.Size.Height) / 2);
			//UPGRADE_TODO: Method 'javax.swing.JDialog.setLocationRelativeTo' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'java.awt.Window.getOwner' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.setLocationRelativeTo(this.getOwner());
		}
		
		internal virtual void  okButton_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			if (node is TimeUtilityNode)
			{
				//UPGRADE_ISSUE: Class hierarchy differences between 'java.util.ArrayList' and 'System.Collections.ArrayList' may cause compilation errors. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1186"'
				System.Collections.ArrayList nodeTables = ((TimeUtilityNode) node).AllPotentials;
				//UPGRADE_ISSUE: Class hierarchy differences between 'java.util.ArrayList' and 'System.Collections.ArrayList' may cause compilation errors. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1186"'
				System.Collections.ArrayList list = model.AllPotentials;
				//UPGRADE_TODO: The equivalent in .NET for method 'java.util.ArrayList.size' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
				for (int i = 0; i < list.Count; i++)
					((Potential) nodeTables[i]).Data = ((Potential) list[i]).Data;
			}
			else
				node.Table.Data = model.ProbabilityTable.Data;
			//UPGRADE_TODO: Method 'java.awt.Dialog.dispose' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.dispose();
		}
		
		internal virtual void  cancelButton_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_TODO: Method 'java.awt.Dialog.dispose' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.dispose();
		}
	}
	
	
	class NodeEditor_okButton_actionAdapter
	{
		internal NodeTableEditor adaptee;
		
		internal NodeEditor_okButton_actionAdapter(NodeTableEditor adaptee)
		{
			this.adaptee = adaptee;
		}
		public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			adaptee.okButton_actionPerformed(event_sender, e);
		}
	}
	
	class NodeEditor_cancelButton_actionAdapter
	{
		internal NodeTableEditor adaptee;
		
		internal NodeEditor_cancelButton_actionAdapter(NodeTableEditor adaptee)
		{
			this.adaptee = adaptee;
		}
		public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			adaptee.cancelButton_actionPerformed(event_sender, e);
		}
	}
}