using System;
namespace dk.esthauge.limid.test
{
	
	/// <summary> <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// <p>Company: </p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	
	//UPGRADE_TODO: Interface 'java.io.FileFilter' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
	public class JavaFileFilter : java.io.FileFilter
	{
		virtual public System.String Description
		{
			get
			{
				return "Java files";
			}
			
		}
		public JavaFileFilter()
		{
		}
		
		public virtual bool accept(System.IO.FileInfo f)
		{
			System.String name = f.Name;
			System.String type;
			if (name.Length > 4)
				type = name.Substring(name.Length - 5);
			else
				type = name;
			return (System.String.Compare(type, ".java", false) == 0 || System.IO.Directory.Exists(f.FullName));
		}
	}
}