using System;
namespace dk.esthauge.limid.api
{
	
	/// <summary> Thrown if a list of nodes is invalid for the purpose it is being used for.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	public class MLPInvalidNodeListException:MLPException
	{
		public MLPInvalidNodeListException(System.String s):base(s)
		{
		}
	}
}