using System;
namespace dk.esthauge.limid.api
{
	
	/// <summary> Thrown if a node with a specified name is not found in the model.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	public class MLPNodeNotFoundException:MLPException
	{
		
		public MLPNodeNotFoundException(System.String nodeName):base("No node named \"" + nodeName + "\" was found in this model")
		{
		}
	}
}