using System;
namespace dk.esthauge.limid.api
{
	
	/// <summary> Thrown if the same parent is added twice.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// <p>Company: </p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	
	public class MLPParentAlreadyDefinedException:MLPIllegalParentException
	{
		public MLPParentAlreadyDefinedException(Node parent, Node child):base("The parent " + parent + " has been added twice to " + child + ".")
		{
			//UPGRADE_TODO: The equivalent in .NET for method 'java.lang.Object.toString' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
		}
	}
}