using System;
namespace dk.esthauge.limid.api
{
	
	/// <summary> Thrown if a node is defined as its own parent.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// <p>Company: </p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	public class MLPParentAndChildIdenticalException:MLPIllegalParentException
	{
		
		public MLPParentAndChildIdenticalException():base("Child and parent must be different nodes")
		{
		}
	}
}