using System;
namespace dk.esthauge.limid.api
{
	
	/// <summary> Thrown if a utility node is set as parent of an other node.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// <p>Company: </p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	public class MLPUtilityParentNotAllowedException:MLPIllegalParentException
	{
		
		public MLPUtilityParentNotAllowedException():base("A utility node cannot be parent of an other node")
		{
		}
	}
}