using System;
namespace dk.esthauge.limid.gui
{
	
	/// <summary> A file filter accepting XML-files.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	//UPGRADE_TODO: Class 'javax.swing.filechooser.FileFilter' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
	public class XMLFileFilter:javax.swing.filechooser.FileFilter
	{
		override public System.String Description
		{
			get
			{
				return "XML for Bayesian Networks";
			}
			
		}
		
		public XMLFileFilter()
		{
		}
		
		public override bool accept(System.IO.FileInfo f)
		{
			System.String name = f.Name;
			System.String type;
			if (name.Length > 3)
				type = name.Substring(name.Length - 4);
			else
				type = name;
			return (System.String.Compare(type, ".xml", false) == 0 || System.String.Compare(type, ".xbn", false) == 0 || System.IO.Directory.Exists(f.FullName));
		}
	}
}